package MyApp;

import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;

import javax.swing.*;
import util.StoreDatabase;
public class myApp extends JFrame{
	panel Panel;
	Person person;
	static util.StoreDatabase stdb;
		
	public myApp(){
		super("My Application");
		setVisible(true);
		
		
		MenuBar menuBar = new MenuBar();
		Menu fileb = new Menu("File");	
		MenuItem save = new MenuItem("Save");	
		fileb.add(save);	
		menuBar.add(fileb);
		this.setMenuBar(menuBar);
		
		MyWindowListener mwl = new MyWindowListener();
		save.addActionListener(mwl);
	
		stdb=StoreDatabase.openDatabase();
		if(stdb.isEmpty()){
			initDatabase();
		}
		
		Panel = new panel(stdb);
		Container contPane = this.getContentPane();
		contPane.add(Panel,BorderLayout.LINE_START);
		
		this.addWindowListener(mwl);
		pack();
	}

	public static void main(String[] args) {
		myApp app = new myApp();	
	}

	private class MyWindowListener extends WindowAdapter implements ActionListener {
		public void windowClosing(WindowEvent event) {
			System.out.println("Exit Window Application");
      
			int anw = JOptionPane.showConfirmDialog(null,"Would you like to save the database?","Exit",JOptionPane.YES_NO_OPTION);
			if (anw==0) {
				stdb.storeDatabase();
			}
			System.exit(0); 
		}
		public void actionPerformed(ActionEvent e) {
			  System.out.println(e.getActionCommand());
			  if (e.getActionCommand().equals("Save")) {
				  stdb.storeDatabase();
			  } 
		}

	}
	public void initDatabase() {
		Person p;
		p = new Person("Nikos Papadopoulos","6922334455","Dimokratias 43\n 73100 CHANIA");
		stdb.putObject(p);
		p = new Person("Yannis Maras","691133446","El. Benizelou 12\n 73100 CHANIA");
		stdb.putObject(p);
		p = new Person("Kostas Petrou","691133456","Sfakianaki 56\n 73100 CHANIA");
		stdb.putObject(p);
		p = new Person("Dimitris Paterakis","6974433221","Anapauseos 100 \n 73100 CHANIA");
		stdb.putObject(p);
		}
}
