package MyApp;
import java.awt.Color;
import java.awt.Container;
import java.awt.Dimension;
import java.awt.FlowLayout;
import java.awt.Font;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;

import javax.swing.BoxLayout;
import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextArea;
import javax.swing.JTextField;

public class panel extends JPanel implements ActionListener,ItemListener {
	JComboBox names;
	JTextField phoneText;
	JTextArea infoText;
	JButton update;
	util.StoreDatabase stdb;
	Person p;
	String name;
	
	public panel(util.StoreDatabase stdb){
	
		this.stdb=stdb;
		JLabel person = new JLabel();
		person.setText("Person:");
		person.setAlignmentX(LEFT_ALIGNMENT);
		
		JLabel telephone = new JLabel();
		telephone.setText("Telephone:");
		telephone.setAlignmentX(LEFT_ALIGNMENT);
		
		JLabel address = new JLabel();
		address.setText("address:");
		address.setAlignmentX(LEFT_ALIGNMENT);
		
		phoneText = new JTextField(20);
		phoneText.setAlignmentX(LEFT_ALIGNMENT);
		
		
		
		String[] colorStrings = stdb.getIDs();
		names = new JComboBox(colorStrings);
		names.setAlignmentX(LEFT_ALIGNMENT);

		names.addItemListener(this);
		
		update = new JButton("Update");
		update.setAlignmentX(LEFT_ALIGNMENT);
		update.setAlignmentY(BOTTOM_ALIGNMENT);
		update.addActionListener(this);
		
		p=(Person)stdb.getObject(name);
		
		infoText = new JTextArea();
		infoText.setPreferredSize(new Dimension(250,200));
		infoText.setAlignmentX(LEFT_ALIGNMENT);

		
		setLayout(new BoxLayout(this, BoxLayout.PAGE_AXIS));
		add(person);
		add(names);
		add(telephone);
		add(phoneText);
		add(address);
		add(infoText);
		add(update);
	}
	
	public void actionPerformed(ActionEvent arg0) {
		stdb.putObject(p);
	}
	
	public void itemStateChanged(ItemEvent e) {
		if (e.getSource()==names) {
			name=(String)names.getSelectedItem();
			}
		}
}